/* cookies.h - cookie support for webfetch
 *
 */

/* Edit History:
 * $Log: cookie.h $
 * Revision tools_TonyAiuto/3 2003/08/21 14:33:55 TonyAiuto
 * 	5.2.0 cookie handling changes
 * 
 * Revision tools_TonyAiuto/2 2002/08/07 17:40:05 TonyAiuto
 * 	add comment and version
 * 
 */

#ifndef __cookies_h__
#define __cookies_h__


class Cookie {
public:
	Cookie();
	Cookie(const char *servertext);
	virtual ~Cookie();

	char	*comment;
	char	*name;
	char	*value;
	char	*domain;
	char	*path;
	char	*secure;
	char	*expires;
	int	version;
};


#define	_COOKIE_JAR_CAPACITY	60	/* todo: make this flexible */


class CookieJar {

public:
	CookieJar();
	~CookieJar();

	virtual void load(const char *filename);	// load from a file
	virtual void save(const char *filename);	// save to a file
	virtual void handleCookie(const char *rawtext, const char *defdomain);

protected:
	int addCookie(Cookie *);
	int deleteCookie(Cookie *);

public:
	int	ncookies;
	Cookie	**cookies;
protected:
	char *cookieJarFileName;
private:
	int	allocCookies;
};


#endif /* __cookies_h */
