/* sslfuncs.h - ssl support functions
 */

#ifndef SSLFUNCS_H
#define SSLFUNCS_H 1

#include <openssl/ssl.h>

#include <ssloptions.h>

#define	SimpleSSL_COULD_NOT_CREATE_CONTEXT	1
#define SimpleSSL_BAD_CERT_PATHS		2
#define SimpleSSL_INVALID_CLIENT_CERTIFICATE	3

class SimpleSSL {

public:
	static SimpleSSL *getSimpleSSL();	// foundary
	static void setOptions(SSLOptions *);	// associate with options block

	SSL_CTX *getContext() const { return sslContext; }

	int connect(int fd);
	int read(char *buf, int len);
	int write(const char *buf, int len);

	// extended calls
	int connect(SSL *&, int fd);
	int read(SSL *, char *buf, int len);
	int write(SSL *, const char *buf, int len);

	static int printErrors();

protected:
	SimpleSSL();
	~SimpleSSL();

	int init();


private:
	static void initRandom();
	static int verifyCallback(int, X509_STORE_CTX *);


// data

public:

protected:
	static SimpleSSL *singleton;

	SSL_CTX	*sslContext;
	SSL	*myConnection;		// default connection to use

private:
	static int	dataIndex;
};


void ssl_init_prng ();

int connect_ssl (SSL **, SSL_CTX *, int);
void shutdown_ssl (SSL*);
void free_ssl_ctx (SSL_CTX *);
int verify_callback (int, X509_STORE_CTX *);
int ssl_iread (SSL *, char *, int);
int ssl_iwrite (SSL *, char *, int);

#endif /* SSLFUNCS_H */
