/* ssloptions.h - options for SSL processing
 */

#ifndef SSLOPTIONS_H
#define SSLOPTIONS_H 1

class SSLOptions {

public:
	SSLOptions();
	~SSLOptions();

	void setCertFile(const char *file);
	const char *getCertFile() { return certFile; };
	void setCertPath(const char *file);
	const char *getCertPath() { return certPath; };
	void setCertKeyFile(const char *file);
	const char *getCertKeyFile() { return certkeyFile; };

	void setAllowExpired(int i) { allowExpired = i; };
	int getAllowExpired() { return allowExpired; };
	void setAllowSelfSigned(int i) { allowSelfSigned = i; };
	int getAllowSelfSigned() { return allowSelfSigned; };
	void setAllowUntrusted(int i) { allowUntrusted = i; };
	int getAllowUntrusted() { return allowUntrusted; };

/// data

public:

protected:
	/* see SSL_CTX_load_verify_locations for meanings of certFile
	 * and certPath
	 */
	char	*certFile;		/// path to certificate file
	char	*certPath;		/// path to certificate directory
	char	*certkeyFile;		/// path to my certificate
	int	allowExpired;
	int	allowSelfSigned;
	int	allowUntrusted;

private:
};

#endif /* SSLOPTIONS_H */
