#!/bin/sh

. ./testfuncs.sh

TEST_DEF authbad bad basic authorization <<INP
$WEBFETCH -a foo:bar http://www.appletreegroup.com/protected/ 2>.stderr | tr '[A-Z]' '[a-z]'
echo =ERR=
cat .stderr
___EXPECT___
<!doctype html public "-//ietf//dtd html 2.0//en">
<html><head>
<title>401 authorization required</title>
</head><body>
<h1>authorization required</h1>
<p>this server could not verify that you
are authorized to access the document
requested.  either you supplied the wrong
credentials (e.g., bad password), or your
browser doesn't understand how to supply
the credentials required.</p>
<hr />
<address>apache/2.0.50 (freebsd) mod_ssl/2.0.50 openssl/0.9.7d php/4.3.8 frontpage/5.0.2.2635 server at www.appletreegroup.com port 80</address>
</body></html>
=ERR=
HTTP Status: 401 Authorization Required
INP

TEST_DEF authok good basic authorization <<INP
$WEBFETCH -a guest:bar http://www.appletreegroup.com/protected/ 2>&1
___EXPECT___
<html>
<body>
nothing here
</body>
</html>
INP

END_ALL_TESTS
