#!/bin/sh

. ./testfuncs.sh


TEST_DEF basic <<END_TEST
$WEBFETCH -o test_index.out http://tony.aiu.to/ 2>&1
if  grep Tony.Aiuto test_index.out >$DEVNULL ; then
	echo got page
else
	echo did not get http://tony.aiu.to/
fi
/bin/rm -f test_index.out

___EXPECT___
got page
END_TEST




TEST_DEF post1 simple post <<END_TEST

$WEBFETCH -p hello=tony http://www.appletreegroup.com/cgi-bin/tmsg | grep -v HTTP_USER_AGENT

___EXPECT___
HTTP_COOKIE=
HTTP_ACCEPT=
HTTP_ACCEPT_CHARSET=
HTTP_ACCEPT_ENCODING=
HTTP_ACCEPT_LANGUAGE=
HTTP_CONNECTION=
POST parameters are:
CONTENT_TYPE: application/x-www-form-urlencoded
CONTENT_LENGTH: 10 
===BEGINPOST=======================
hello='tony'
===ENDPOST=========================
END_TEST


TEST_DEF post2 setting content type of post <<END_TEST
$WEBFETCH -n text/meaningless -p 'hello=tony&foo=bar' http://www.appletreegroup.com/cgi-bin/tmsg | grep -v HTTP_USER_AGENT
___EXPECT___
HTTP_COOKIE=
HTTP_ACCEPT=
HTTP_ACCEPT_CHARSET=
HTTP_ACCEPT_ENCODING=
HTTP_ACCEPT_LANGUAGE=
HTTP_CONNECTION=
POST parameters are:
CONTENT_TYPE: text/meaningless
CONTENT_LENGTH: 18
===BEGINPOST=======================
hello='tony'
foo='bar'
===ENDPOST=========================
END_TEST

END_ALL_TESTS
