#!/bin/sh

# test some things using command files

. ./testfuncs.sh

# Note if this test fails, it may be because
# http://www.appletreegroup.com/styles.css was changed

TEST_DEF cmd1 basic command file <<END_TEST
$WEBFETCH -v '@commands.in' | tee junkx | grep commands.in
# skip over the commands part to just get the styles.css output
tail +11 junkx >junky
diff appletreegroup index.html
diff styles.css junky
$RM appletreegroup index.html styles.css junkx junky
___EXPECT___
commands.in: -o appletreegroup
commands.in: http://www.appletreegroup.com/
commands.in: -s
commands.in: http://www.appletreegroup.com/index.html
commands.in: http://www.appletreegroup.com/styles.css
commands.in: -o -
commands.in: http://www.appletreegroup.com/styles.css
END_TEST

TEST_DEF cmd2 sending post data from a file, within a command file <<END_TEST
$WEBFETCH @commands.2 | grep -v HTTP_USER_AGENT | sed -e 's/ *$//'
___EXPECT___
HTTP_COOKIE=
HTTP_ACCEPT=
HTTP_ACCEPT_CHARSET=
HTTP_ACCEPT_ENCODING=
HTTP_ACCEPT_LANGUAGE=
HTTP_CONNECTION=
POST parameters are:
CONTENT_TYPE:
CONTENT_LENGTH: 58
===BEGINPOST=======================
<nodea>
\	<nodeb>
\		</nodec>
\		<nodec>
\	</nodeb>
</nodea>


===ENDPOST=========================
END_TEST

END_ALL_TESTS
