#!/bin/sh

# errors.sh

. ./testfuncs.sh

OUT=/tmp/$$
TEST_DEF ebaseline test good fetch <<INP
$WEBFETCH -e -o $DEVNULL http://tony.aiu.to/ 2>&1
echo prog: \$?
___EXPECT___
status: 0
http: 200
prog: 0
INP

TEST_DEF unknownhost unknown host <<INP
$WEBFETCH -e -o $DEVNULL http://notahost.aiu.to/ 2>.stderr
echo prog: \$?
cat .stderr
___EXPECT___
prog: 1
Unable to determine IP address for 'notahost.aiu.to'
status: 1
http: 0
INP

TEST_DEF badscheme unsupported scheme <<INP
$WEBFETCH -e binky://notahost.aiu.to/ 2>.stderr
echo prog: \$?
cat .stderr
___EXPECT___
prog: 2
Unsupported scheme binky://notahost.aiu.to/
status: 2
http: 0
INP

END_ALL_TESTS
