#perl -w

use Getopt::Std;

#use HTTP::Proxy;

use Proxy;


my %opts;
my ($auth, $verbose);

# set defaults
$opts{'p'} = 8080;

getopts('a:l:p:v', \%opts);

$verbose = $opts{'v'};

if ( $verbose ) {
	print "Running proxy on port $opts{'p'}\n";
}

# initialisation
my $proxy = HTTP::Proxy->new( port => $opts{'p'} );

$auth = $opts{'a'};
chomp $auth;
if ( "$auth" ) {
	if ( $verbose ) {
		print "Requires Proxy-Authorization: $auth\n";
	}
	$proxy->authorization( $auth );
}
if ( $opts{'l'} > 0 ) {
	if ( $verbose ) {
		print "Limited to $opts{'l'} connections\n";
	}
	$proxy->maxconn( $opts{'l'} );
}



# you can also use your own UserAgent
#my $agent = LWP::RobotUA->new;
#$proxy->agent( $agent );

$proxy->push_body_filter( response => sub {
	my ( $dataref, $message, $protocol) = @_;
	# print $protocol;

} );

#$proxy->push_body_filter( response => doBody );
$proxy->push_headers_filter( request => \& doHeaders );

# this is a MainLoop-like method
$proxy->start;

0;

sub doHeaders {
	my  ( $headers, $message) = @_;
	# print $message->headers_as_string;
}

sub doBody {
	my ( $dataref, $headers, $message) = @_;
}

