<?xml version="1.0"?>
<manpage>
<defines>
<copyright>Copyright (c) 2001-2004  Tony Aiuto</copyright>
<rcsid>$Id: webfetch.man tools_TonyAiuto/19 2004/01/13 15:01:09 TonyAiuto $</rcsid>
<name	value="webfetch" />
<title	value="webfetch - fetch files from a web site" />
<author	name="Tony Aiuto" email="tony@aiu.to" />
<version value="@VERSION@" />
<date	value="@MAN_MODIFIED_DATE@" />
<keywords>freeware, shareware, linux, tools, goodies, http, html, web, wget, webfetch</keywords>
<description content="Command line HTTP tool to fetch web pages.
Supports user-agent specification, HTTP proxies and more."/>
</defines>
<synopsis>
<usage>webfetch {options} URL ...</usage>
<usage>webfetch {options} @commandfile</usage>
<quickoptions/>
</synopsis>
<description>
<iword>Webfetch</iword>
is a command line tool which fetches one or more files from a
web site using HTTP.
It can also submit POST requests (for HTML forms).
It allows you to specify the content of many HTTP
header items, such as cookies, authentication and user agent.
It also supports retrieval through SOCKS 4 and HTTP proxy firewalls.
<p>On Windows,
<iword>webfetch</iword>
will use the proxy settings from the registry.
</p>
<p>When used with a command file, URLS should be specified one per line.
Options may be specified at any point on a line by themselves.
</p>
</description>
<options width="10">
<option name="-a" args="user:pass">
Send an Authorization header with the given username/password combination.
</option>
<option name="-A" args="user:pass">
Send an Proxy-Authorization header with the given username/password combination.</option>
<option name="-C" args="{get,head,delete,post}">
Set http Command.  (head implies -h).
</option>
<option name="-c" args="cookie">
Send a cookie along with your request.
</option>
<option name="-D">
Do an HTTP DELETE.
</option>
<option name="-d">
Create directories as needed for saved files.
If not specified, then output is written to the base name of the file.
Does not have any effect of -o is specified.  Implies -s.
</option>
<option name="-e">
Prints status code and HTTP status code on stderr.  Each is on
a separate line and tagged with either 'status' or 'http'.
The error codes are:
<display>
0	success
1	Unknown Host
2	Unsupported Scheme
3	Bad Hostname
4	Bad Socks Proxy Host
5	Bad HTTP Proxy Host
6	Connection Refused by Host
10	SSL Failure
99	Other failure
</display>
</option>
<option name="-f" args="from">
Set the HTTP "From" header.
</option>
<option name="-H" args="host">
Set host name to provide in HTTP "Host" header.   Default is to use
<paramref>site</paramref>.
<italic>This option has been removed - this document only references to
aid deciphering an old script using it.  Rather than specifying
</italic> <bold>webfetch -H www.aiu.to http://xx.xx.xx.xx/url</bold>
<italic>use -m instead:</italic> <bold>webfetch -m xx.xx.xx.xx http://www.aiu.to/url</bold>
</option>
<option name="-h">
Write HTTP headers to standard out.
</option>
<option name="-j" args="cookiejarfile">
Use <argref>cookiejarfile</argref> as a source and sink for cookies.
</option>
<option name="-l" args="language">
Set Accept-Language.
</option>
<option name="-m" args="hostname">
Connect to physical host (or IP address) <argref>hostname</argref>.   The hostname sent
in the "Host" header will be extracted from the URL.   This is
the prefered way to test a virtual host on a machine were
where DNS will not resolve correctly.
</option>
<option name="-n" args="contentType">
Specify <bold>Content-Type</bold> header to send with post data.   Setting
it to an empty string will suppress sending the Content-Type header at all.
Default: application/x-www-form-urlencoded
</option>
<option name="-o" args="OutputFile">
Write output to <argref>OutputFile</argref> rather than the base of the file name.
Obviously, it does not make sense to specify -o with multiple file names.
Implies -s.
</option>
<option name="-P" args="httpProxy{:port}">
Go through an HTTP proxy.  <argref>port</argref> is optional (defaults to 8000).
</option>
<option name="-p" args="post_args">
Do a POST request (rather than a GET), with the parameters given.
If <argref>post_args</argref> begins with an '@' charater, it
is taken to mean the name of a file containing the data.
</option>
<option name="-R">
Follow Redirect responses.
</option>
<option name="-r" args="referer">
Add referer option to GET command.  Sometimes this can be used to
get objects from sites which force you to come in through a front page.
Typical referer strings look like 'http://site/MainPage.html'.
</option>
<option name="-S" args="socksProxy{:port}">
Go through an SOCKS proxy.  <argref>port</argref> is optional (defaults to 1080).
</option>
<option name="-s">
Save the result in a file.  Default is to write to standard out.
Warning!  This usage was reversed in releases before 3.x
</option>
<option name="-t" args="n">
Set timeout to <argref>n</argref> seconds.  (default: 60)
</option>
<option name="-u" args="{aol{N} ie{N} netscape linux nt 95 98}">
Set user agent to what is sent by various popular browsers.
</option>
<option name="-U" args="userAgent">
Set user agent to the specified value.
</option>
<option name="-k" args="allow-self-signed">
allow self signed site certificates
</option>
<option name="-k" args="disallow-self-signed">
disallow self signed site certificates
</option>
<option name="-k" args="allow-untrusted">
allow certs signed by untrusted CAs
</option>
<option name="-k" args="disallow-untrusted">
disallow certs signed by untrusted CAs
</option>
<option name="-k" args="certfile=file">
specify trusted CA certificate file
</option>
<option name="-k" args="certpath=dir">
specify trusted CA certificate directory path.  This should
usually point to the directory of trusted certs provided
with your openssl implementation.   The default is to
use the path compiled in at build time.
</option>
<option name="-k" args="certkey=keyfile">
specify client key file
</option>

</options>

<examples>
<p>webfetch http://tony.aiu.to/sa/index.html</p>
<p>webfetch -P proxyHost:8008  http://www.aiu.to/index.html</p>
<p>webfetch -u aol7,98  http://www.aiu.to/</p>
<p>webfetch -m testServer http://www.mywebsite.com/</p>
<p>webfetch -u ie5nt @nightly</p>
<display>
nightly:
	-R
	-o saindex.html
	http://tony.aiu.to/sa
	-s 
	http://tony.aiu.to/sa/webfetch.html
	http://tony.aiu.to/sa/webfetch-5.0.0.tar.gz
</display>
</examples>

<author_section/>
<source_section default="1"/>
<p>
This manual page describes @NAME@ @VERSION@ 
</p>
<section name="CREDITS">
</section>
</manpage>
